<?php
$mysqli = new mysqli("127.0.0.1", "root", "", "siakad");
$res = $mysqli->query("SELECT * FROM pengaturan");
$settings = [];
while($row = $res->fetch_assoc()) {
    $settings[$row['pengaturan_key']] = $row['pengaturan_value'];
}

$url = $settings['pddikti_url'];
$username = $settings['pddikti_username'];
$password = $settings['pddikti_password'];

$ch = curl_init();
curl_setopt($ch, CURLOPT_URL, $url);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
curl_setopt($ch, CURLOPT_POST, 1);
$payload = json_encode(['act' => 'GetToken', 'username' => $username, 'password' => $password]);
curl_setopt($ch, CURLOPT_POSTFIELDS, $payload);
curl_setopt($ch, CURLOPT_HTTPHEADER, array('Content-Type: application/json'));

$resRaw = curl_exec($ch);
$result = json_decode($resRaw, true);

$token = $result['data']['token'];
$payload2 = json_encode(['act' => 'GetListPenugasanSemuaDosen', 'token' => $token, 'limit' => 1]);
curl_setopt($ch, CURLOPT_POSTFIELDS, $payload2);
echo curl_exec($ch);
?>
